### Method

# Camel KeyFile write

#### Declaration [src]

    gint
    camel_key_file_write (
      CamelKeyFile* kf,
      camel_block_t* parent,
      gsize len,
      camel_key_t* records
    )

#### Description [src]

Write a new list of records to the key file.

#### Parameters

`parent`

  Type: `camel_block_t`

  A #camel_block_t.

  The data is owned by the caller of the method.

`len`

  Type: `gsize`

  How many `records` to write.

`records`

  Type: An array of `camel_key_t`

  An array of #camel_key_t to write.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `gint`

-1 on io error. The key file will remain unchanged.